<?php
require_once("../includes/bootstrap.php");
$sesion = new sesion();
$academia = bootstrap::initBd($sesion->get('anio'));
$tipo_usuario = $sesion->getVar('ac_tipo_user');
/*
if (!headers_sent())
    ob_start("ob_gzhandler");
cache();
*/
switch ($tipo_usuario) {
    case 7://estudiante

        $sql = "SELECT aca_estudiantes.cod_estudiante AS cd_est,CONCAT_WS(' ',nombre1_est,nombre2_est,apellido1_est,apellido2_est) AS nomape,aca_estudiantesxgrupos.cod_grupo, Max(aca_asignaturasxgrupos.num_evaluaciones) AS num_per
FROM aca_estudiantes 
INNER JOIN aca_estudiantesxgrupos ON aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante
INNER JOIN aca_asignaturasxgrupos ON aca_asignaturasxgrupos.cod_grupo = aca_estudiantesxgrupos.cod_grupo WHERE numedocumento_est='" . $sesion->get('ac_identidad') . "' GROUP BY aca_estudiantesxgrupos.cod_grupo LIMIT 1";
        $academia->instruccion($sql);
        $dtsEstud = $academia->extraer_registro();

        $numPer = $dtsEstud['num_per'];
        $academia->liberar();

        break;
}
echo '<input type="hidden" id="txtnumper" value="' . $numPer . '" /> ';

if ($tipo_usuario == '1') {
    $cd_docente = $sesion->getVar("info_doc.cod_profesor");
}

echo '<input name="codtpu" type="hidden" id="codtpu" value="' . $tipo_usuario . '">';
echo '<input type="hidden" id="rusid" value="' . $cd_docente . '">';
echo '<input type="hidden" id="dtsEstud" value=\'' . json_encode($dtsEstud) . '\'>'
?>
<script type="text/javascript" src="<?php echo dirname($_SERVER['PHP_SELF']) ?>/js/info_estudiantes.js"></script>
<?php
if ($tipo_usuario != 7):
    ?>
    <div>
        <table align="center">
            <tr clas="clas" class="tit1">
                <td><?php echo $dtsLang['globals']['name_sede'] ?></td>
                <td><?php echo $dtsLang['globals']['name_jornada'] ?></td>
                <td><?php echo $dtsLang['globals']['grupos'] ?></td>
            </tr>
            <tr>
                <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
                        <?php
                        if ($cd_docente != "") {
                            $sql = "SELECT adm_sedes.cod_sede , adm_sedes.nom_sede FROM aca_asignaturasxgrupos 
							INNER JOIN aca_grupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
							INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
						WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
                        } else {
                            $sql = "SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
                        }
                        $academia->instruccion($sql);
                        while ($reg = $academia->extraer_registro()) {
                            echo "<option value='" . $reg[cod_sede] . "' aux='$cmpaux2' >" . $reg[nom_sede] . "</option>";
                        }
                        $academia->liberar();
                        ?>
                    </select></td>
                <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
                        <option value="0x">Seleccionar...</option>
    <?php
    ?>
                    </select></td>
                <td><select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
                        <option value="0x">Seleccionar...</option>
                    </select></td>

            </tr>
        </table>
    </div>
<?php endif; ?>
<div id="wndDetNotas"></div>
<div id="wndGrafs"><div id="contGrafs" style="width:600px; height: 400px"></div></div>
<?php if ($tipo_usuario != 7): ?>
    <div id="lyDtsEstud" class="easyui-layout" style="width:1100px;height:500px;">


        <div data-options="region:'west',split:true" title="Estudiantes"  style="width:200px;height:450px">
            <table id="tbDtsEst"></table>
        </div>
<?php endif; ?>
    <div data-options="region:'center',title:'Información',iconCls:'icon-ok'" style="padding:5px">
        <div id="tabDtsEstud">

        </div>
    </div>
<?php if ($tipo_usuario != 7): ?>
    </div>
    <?php endif ?>

